Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq
Class SpyQueueSession

    java.lang.Object
      org.jboss.mq.SpySession
          org.jboss.mq.SpyQueueSession

All Implemented Interfaces:
  javax.jms.QueueSession, Runnable, javax.jms.Session, javax.jms.XAQueueSession, javax.jms.XASession

public class SpyQueueSession
extends SpySession
implements javax.jms.QueueSession, javax.jms.XAQueueSession

This class implements javax.jms.QueueSession and javax.jms.XAQueueSession

Version:
  $Revision: 1.8 $
Author:
  Norbert Lataille (Norbert.Lataille@m4x.org), Hiram Chirino (Cojonudo14@hotmail.com), Adrian Brock

Field Summary

Fields inherited from class org.jboss.mq.SpySession
`acknowledgeMode, connection, consumers, deliveryLock, inDelivery, producers, running, temps, transacted`

Fields inherited from interface javax.jms.Session
`AUTO_ACKNOWLEDGE, CLIENT_ACKNOWLEDGE, DUPS_OK_ACKNOWLEDGE, SESSION_TRANSACTED`

Method Summary
`javax.jms.QueueSession` | `getQueueSession()`

Methods inherited from class org.jboss.mq.SpySession
`close, commit, createBrowser, createBrowser, createBytesMessage, createConsumer, createConsumer, createConsumer, createDurableSubscriber, createDurableSubscriber, createMapMessage, createMessage, createObjectMessage, createObjectMessage, createProducer, createPublisher, createQueue, createReceiver, createReceiver, createSender, createStreamMessage, createSubscriber, createSubscriber, createTemporaryQueue, createTemporaryTopic, createTextMessage, createTextMessage, createTopic, deleteTemporaryDestination, doAcknowledge, getAcknowledgeMode, getMessageListener, getSession, getTransacted, getXAResource, getXAResourceManager, recover, rollback, run, setMessageListener, toString, unsubscribe`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.jms.QueueSession
`createBrowser, createBrowser, createQueue, createReceiver, createReceiver, createSender, createTemporaryQueue`

Methods inherited from interface javax.jms.Session
`close, commit, createBytesMessage, createConsumer, createConsumer, createConsumer, createDurableSubscriber, createDurableSubscriber, createMapMessage, createMessage, createObjectMessage, createObjectMessage, createProducer, createStreamMessage, createTemporaryTopic, createTextMessage, createTextMessage, createTopic, getAcknowledgeMode, getMessageListener, getTransacted, recover, rollback, run, setMessageListener, unsubscribe`

Methods inherited from interface javax.jms.XASession
`commit, getSession, getTransacted, getXAResource, rollback`

Method Detail

### getQueueSession

    public javax.jms.QueueSession getQueueSession()
                                           throws javax.jms.JMSException

  Specified by:
    `getQueueSession` in interface `javax.jms.XAQueueSession`
  Throws:
    `javax.jms.JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.